List Toolkits
GET
https://x.kupe.in
/
v1
/
orgs
/
{org_id}
/
composio
/
toolkits
List Toolkits
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/composio/toolkits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/composio/toolkits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/composio/toolkits \
--header 'Authorization: Bearer <token>'{
"items": [
{
"slug": "<string>",
"name": "<string>",
"logo": "<string>",
"description": "",
"categories": [
{
"id": "<string>",
"name": "<string>"
}
],
"no_auth": false,
"connected": false
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Path Parameters
⌘I
List Toolkits
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/composio/toolkits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/composio/toolkits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/composio/toolkits \
--header 'Authorization: Bearer <token>'{
"items": [
{
"slug": "<string>",
"name": "<string>",
"logo": "<string>",
"description": "",
"categories": [
{
"id": "<string>",
"name": "<string>"
}
],
"no_auth": false,
"connected": false
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
